WordPress.org

Ready to get started?Download WordPress

Forums

FeedWordPress
Cannot get RSS feeds after updating to 3.2 (8 posts)

  1. eleek
    Member
    Posted 3 years ago #

    I just updated to WP v3.2 and can no longer update feeds using FeedWordpress. I get the following message.

    Fatal error: Call to undefined method WP_SimplePie_File::WP_SimplePie_File() in /home/content/26/7172826/html/wp-content/plugins/feedwordpress/feedwordpress.php on line 1841

    An update to the plugin might be necessary.

  2. ricardofpraimundo
    Member
    Posted 3 years ago #

    Search line 1841

    WP_SimplePie_File::WP_SimplePie_File($url, $timeout, $redirects, $headers, $useragent, $force_fsockopen);

    and put this

    parent::__construct($url, $timeout, $redirects, $headers, $useragent, $force_fsockopen);

    Work on http://semprebenfica.net/

  3. ricardofpraimundo
    Member
    Posted 3 years ago #

    Ups... i forgot!

    Edit file feedwordpress.php in feedwordpress plugin folder.

    ;)

  4. eleek
    Member
    Posted 3 years ago #

    That appears to have worked. Thank you very much for the help!

  5. claudiojb2
    Member
    Posted 3 years ago #

    thanks, works for me too!!

  6. CatherineJonk91
    Member
    Posted 3 years ago #

    you mean replace it?

  7. ricardofpraimundo
    Member
    Posted 3 years ago #

    @CatherineJonk91

    Sorry, my English is a little weak! ;)

    Open feedwordpress.php (feedwordpress folder), sarch line 1841 - look for the following code:

    WP_SimplePie_File::WP_SimplePie_File($url, $timeout, $redirects, $headers, $useragent, $force_fsockopen);

    replace the above code with this:

    parent::__construct($url, $timeout, $redirects, $headers, $useragent, $force_fsockopen);

    That's it! How it works. ;)

  8. maarchibald
    Member
    Posted 3 years ago #

    I'm not getting RSS to validate either, wp-feed.php (fresh install today) has:

    <?php
    /**
    * Redirects to the default feed
    * This file is deprecated and only exists for backwards compatibility
    *
    * @package WordPress
    */

    require( './wp-load.php' );
    wp_redirect( get_bloginfo( get_default_feed() . '_url' ), 301 );
    exit;
    ?>

    Is there something I can do to make it work? Using WP 3.2

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic